Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4538 - buffer overflow in libtermcap
Summary: buffer overflow in libtermcap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtermcap
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-15 21:42 UTC by kvajk
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-17 16:10:13 UTC


Attachments (Terms of Use)

Description kvajk 1999-08-15 21:42:48 UTC
libtermcap's tgetent() function's bounds-checking is
incomplete, which can result in a buffer overflow from
a bogus termcap file.
I haven't yet come across any real-world security problems
resulting from this, but it should be fixed in any event.

I have a patch which I can supply you with.  Thanks!

Comment 1 Bill Nottingham 1999-08-17 16:10:59 UTC
fixed in errata release...


Note You need to log in before you can comment on or make changes to this bug.